<?php

/*
Plugin Name: Gravity Forms MiniCRM Add-On
Plugin URI: http://www.gravityforms.com
Description: Integrates Gravity Forms with MiniCRM allowing form submissions to be automatically sent to your MiniCRM account.
Version: 0.0.1
Author: MiniCRM
Author URI: https://www.minicrm.hu
Text Domain: gravityformsminicrm
Domain Path: /languages

------------------------------------------------------------------------
Copyright 2009-2016 Rocketgenius, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

define('GF_MINICRM_VERSION', '1.4');

add_action('gform_loaded', array('GF_MiniCRM_Bootstrap', 'load'), 5);

class GF_MiniCRM_Bootstrap {

  public static function load() {
    require_once('class-gf-minicrm.php');
    GFAddOn::register('GFMiniCRM');
  }

}

function gf_activecampaign() {
  return GFMiniCRM::get_instance();
}